Loading...
Searching...
No Matches
itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivativePerThreadStruct Struct Reference

`#include <itkAdvancedImageToImageMetric.h>`

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivativePerThreadStruct

Most metrics will perform multi-threading by letting each thread compute a part of the value and derivative.

These parameters are initialized at every call of GetValueAndDerivative in the function InitializeThreadingParameters(). Since GetValueAndDerivative is const, also InitializeThreadingParameters should be const, and therefore these member variables are mutable.

Definition at line 446 of file itkAdvancedImageToImageMetric.h.

## Data Fields

DerivativeType | st_Derivative
SizeValueType | st_NumberOfPixelsCounted
MeasureType | st_Value

## Field Documentation

## st_Derivative

template<class TFixedImage, class TMovingImage>

DerivativeType itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivativePerThreadStruct::st_Derivative

Definition at line 450 of file itkAdvancedImageToImageMetric.h.

## st_NumberOfPixelsCounted

template<class TFixedImage, class TMovingImage>

SizeValueType itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivativePerThreadStruct::st_NumberOfPixelsCounted

Definition at line 448 of file itkAdvancedImageToImageMetric.h.

## st_Value

template<class TFixedImage, class TMovingImage>

MeasureType itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::GetValueAndDerivativePerThreadStruct::st_Value

Definition at line 449 of file itkAdvancedImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |